#! /bin/tcsh
#MSUB -l nodes=64:ppn=8
#MSUB -j oe
#MSUB -l walltime=16:00:00

#set fses = "/net/scratch1/johnbent/PatternIO $PLFS_MNT/PatternIO"
set fses = "$PLFS_MNT/PatternIO"

set output = `pwd`/output/PatternIO.output.`date +%s`
echo "Output to $output"
touch $output

# set up plfs
#~/Testing/plfs/scripts/pbs_launch |& tee -a $output
echo "PLFS config:" |& tee -a $output
cat $PLFS_MNT/.plfsdebug |& tee -a $output

foreach np ( 512 )
    foreach fs ( $fses ) 
        cd $fs
        echo "Running on $np NP on PWD $fs" |& tee -a $output
        mpirun -np $np ~/Testing/Benchmarks/PatternIO_release/PatternIO \
            |& tee -a $output
    end
    ~/Testing/plfs/scripts/pbs_test |& tee -a $output
    echo "PLFS config:" |& tee -a $output
    cat $PLFS_MNT/.plfsdebug |& tee -a $output
end
